#!/usr/bin/env dart

import 'dart:io';
import 'package:args/args.dart';
import 'package:sysexits/sysexits.dart';

void printUsage(ArgParser parser) {
  print('Usage:');
  print(parser.usage);
}

void main(List<String> argv) {
  exitCode = EX_OK; // presume success

  final parser = ArgParser()
    ..addFlag('help', abbr: 'h', help: 'Show help')
  ;
  ArgResults argResults;
  try {
    argResults = parser.parse(argv);
  } on FormatException {
    printUsage(parser);
    exit(EX_USAGE);
  }

  if (argResults['help']) {
    printUsage(parser);
    exit(EX_OK);
  }

  print('Do some things');
}
